PLUGIN_PREFIX: "&9[GroupChat] &r"
GROUP_PREFIX: "&9[<group>] "
MESSAGE_FORMAT: "&a<player> &7> &9<message>"
SPY_MESSAGE_FORMAT: "&8[GroupChat (spy)] [<group>] <sender> > <message>"
GROUP_DISPLAY_LIST_FORMAT: "&f<number>. &a<group> &8┃ &b<type> &8┃ &7<memberscount> member(s)"
GROUP_TYPE_PUBLIC: "Public"
GROUP_TYPE_PRIVATE: "Private"
INFO_NO_PERMISSION: "&fYou don't have permission."
INFO_ENTER_GROUP_NAME: "&fEnter group name."
INFO_ENTER_PLAYER_NAME: "&fEnter player name."
INFO_PLAYER_ALREADY_OWNER: "&fPlayer is already owner of this groupchat."
INFO_PLAYER_ALREADY_MEMBER: "&fThis player is already a member of other groupchat!"
INFO_PLAYER_ALREADY_INVITED: "&fPlayer is already invited to join this groupchat."
INFO_YOU_NOT_MEMBER: "&fYou aren't member of groupchat!"
INFO_YOU_NOT_MEMBER_SELECTED_GROUP: "&fYou aren't member of selected groupchat!"
INFO_YOU_NOT_OWNER: "&fYou aren't owner of groupchat!"
INFO_YOU_MEMBER: "&fYou already are member of this groupchat!"
INFO_OWNER_CANNOT_LEAVE: "&fOwner can't leave groupchat."
INFO_GROUP_CREATED: "&fYou have created groupchat with name: &a<name>"
INFO_GROUP_NOT_EXISTS: "&fGroupchat doesn't exist."
INFO_GROUP_PRIVATE_NEED_INVITATION: "&fThis groupchat is private. You need invitation to join it."
INFO_GROUP_EXISTS: "&fGroupchat with given name already exists."
INFO_GROUP_DELETED: "&fYou have deleted your groupchat."
INFO_GROUP_DELETED_MEMBER: "&fYour groupchat with name &a<name> &fhas been deleted by owner."
INFO_GROUP_NOT_ACTIVE: "&fYou've disabled messages from groupchat &a<group>&f, so you can't send messages."
INFO_PLAYER_NOT_ONLINE: "&fThis player isn't online."
INFO_PLAYER_NOT_FOUND: "&fThis player can't be found."
INFO_PLAYER_IN_GROUP: "&fThis player is already in some groupchat."
INFO_PLAYER_NOT_IN_GROUP: "&fThis player isn't member of this groupchat."
INFO_PLAYER_INVITED: "&fYou have invited player &a<player> &fto groupchat."
INFO_INVITATION_GET: "&fYou have been invited to groupchat: &a<group>&f. Type &a/groupchat join <group> &fto join."
INFO_PLAYER_JOINED: "&fPlayer &a<player> &fhas joined this groupchat."
INFO_YOU_JOINED: "&fYou have joined groupchat: &a<group>"
INFO_YOU_LEFT_GROUP: "&fYou have left groupchat: &a<group>"
INFO_PLAYER_LEFT_GROUP: "&fPlayer &a<player> &fhas left this groupchat."
INFO_PLAYER_KICKED: "&fPlayer &a<player> &fhas been kicked from this groupchat."
INFO_PLAYER_KICKED_ACTOR: "&fPlayer &a<player> &fhas been kicked from groupchat &a<group>&f."
INFO_PLAYER_BANNED_ACTOR: "&fPlayer &a<player> &fhas been banned on groupchat &a<group>&f."
INFO_PLAYER_UNBANNED_ACTOR: "&fPlayer &a<player> &fhas been unbanned on groupchat &a<group>&f."
INFO_YOU_KICKED: "&fYou have been kicked from groupchat: &a<group>"
INFO_YOU_NOW_BANNED: "&fYou have been banned on groupchat: &a<group>"
INFO_YOU_NOW_UNBANNED: "&fYou have been unbanned on groupchat: &a<group>"
INFO_YOU_BANNED: "&fYou are banned on this groupchat."
INFO_PLAYER_NOW_BANNED: "&fPlayer &a<player> &fhas been banned by &a<executor> &fon this groupchat."
INFO_PLAYER_NOW_UNBANNED: "&fPlayer &a<player> &fhas been unbanned by &a<executor> &fon this groupchat."
INFO_PLAYER_IS_BANNED: "&fPlayer &a<player> &fis banned on this groupchat."
INFO_PLAYER_NOT_BANNED: "&fPlayer &a<player> &fisn't banned on this groupchat."
INFO_MAX_OWNED_GROUPS: "&fYou have reached maximum number of owned groups."
INFO_GROUP_INFO:
- "&8&m━━━━━━━━━━━━━━━━━━━━━━━━━━━━"
- "&b&l▸ &f&lGroup information"
- "&8&m━━━━━━━━━━━━━━━━━━━━━━━━━━━━"
- "&7Shortname: &a<shortname>"
- "&7Full name: &a<displayname>"
- "&7Owner: &a<owner>"
- "&7Type: &a<type>"
- "&7Members (&a<memberscount>&7): &f<memberslist>"
- "&7Description: &f&o<description>"
- "&8&m━━━━━━━━━━━━━━━━━━━━━━━━━━━━"
INFO_MYGROUPS_HEADER:
- "&8&m━━━━━━━━━━━━━━━━━━━━━━━━━━━━"
- "&b&l▸ &f&lMy groups"
- "&8&m━━━━━━━━━━━━━━━━━━━━━━━━━━━━"
INFO_ALLGROUPS_HEADER:
- "&8&m━━━━━━━━━━━━━━━━━━━━━━━━━━━━"
- "&b&l▸ &f&lAll groups"
- "&7  Page <page>/<lastpage>"
- "&8&m━━━━━━━━━━━━━━━━━━━━━━━━━━━━"
INFO_GROUP_NAME: "&fGroup name: &a<name>"
INFO_GROUP_OWNER: "&fOwner: &a<owner>"
INFO_GROUP_SIZE: "&fMembers count: &a<memberscount>"
INFO_GROUP_TYPE: "&fGroup type: &a<type>"
INFO_GROUP_MEMBERS: "&fMembers: &a<members>"
INFO_YOU_NOT_PLAYER: "&fYou are not a player."
INFO_NOT_INVITED_THIS_GROUP: "&fYou are not invited to this groupchat."
INFO_NOT_INVITED: "&fYou are not invited to any groupchat."
INFO_NO_GROUPS: "&fThere aren't any groupchats."
INFO_NO_PAGE: "&fThere is no page with given number."
INFO_NO_GROUP_NUMBER: "&fThere is no group with given number."
INFO_ALREADY_CURRENT_GROUP: "&fThis is already your current groupchat."
INFO_YOU_GROUP_SWITCHED: "&fYou have switched current groupchat to &a<group>"
INFO_PLAYER_GROUP_SWITCHED: "&fPlayer &a<player> &fhas switched his current groupchat to &a<group>"
INFO_YOU_GROUP_SHOW_ON: "&fYou now see messages from groupchat: &a<group>"
INFO_YOU_GROUP_SHOW_OFF: "&fYou won't see messages from groupchat: &a<group>"
INFO_TYPE_NUMBER: "&fNumber is required as command argument."
INFO_TYPE_SHORTNAME: "&fGroup shortname is required as command argument."
INFO_OWNER_SET: "&fPlayer &a<player> &fis now owner of this groupchat."
INFO_TYPE_SET: "&fGroupchat type is now &a<type>&f."
INFO_SAY_EMPTY: "&fYou can't send empty message."
INFO_PLUGIN_RELOADED: "&fPlugin reloaded."
INFO_ERROR: "&fAn error occurred."
INFO_SOUND_NOTIFICATIONS_DISABLED: "&fSound notifications are now disabled."
INFO_SOUND_NOTIFICATIONS_ENABLED: "&fSound notifications are now enabled."
INFO_SOUND_CHANGED: "&fChanged individual sound preferences."
INFO_SPY_ENABLED: "&fSpy mode is now enabled."
INFO_SPY_DISABLED: "&fSpy mode is now disabled."
INFO_TIPS_NOW_ENABLED: "&fPlugin tips are now enabled."
INFO_TIPS_NOW_DISABLED: "&fPlugin tips are now disabled."
INFO_MESSAGES_NOW_ENABLED: "&fMessages are now enabled."
INFO_MESSAGES_NOW_DISABLED: "&fMessages are now disabled."
INFO_SOUND_CHANGE_TIP: "&fYou can change incoming message sound - type &a/groupchat sound&f."
INFO_GROUP_ALREADY_SHOWN: "&fGroup &a<group> &fis already being shown."
INFO_GROUP_ALREADY_HIDDEN: "&fGroup &a<group> &fis already being hidden."
INFO_MESSAGES_DELETED: "&fDeleted &a<number> &fmessage(s)."
INFO_MESSAGES_HISTORY_DISABLED: "&fMessages history is disabled."
INFO_NO_ACTIVE_GROUP: "&fYou have no active groupchat."
INFO_MESSAGES_QUERY_INVALID_DATETIME_FORMAT: "&fInvalid datetime format. Accepted format: &a<format>"
INFO_MESSAGES_QUERY_INVALID_EXPRESSION: "&fInvalid expression."
INFO_MESSAGES_QUERY_INVALID_MESSAGE_ID: "&fInvalid message ID."
INFO_MESSAGES_QUERY_INVALID_GROUP: "&fInvalid group."
INFO_MESSAGES_QUERY_INVALID_PLAYER: "&fInvalid player."
INFO_NO_MESSAGES: "&fNo messages."
INFO_DELETE_CONFIRMATION_REQUIRED: "&fYou are about to delete &a<number> &fmessages from database. This may result in irreversible data loss. To continue, type &a/pmconfirm delete&f."
INFO_DELETE_CONFIRMATION_NO_MESSAGES: "&fYou have no messages deletion action awaiting confirmation."
INFO_DELETE_NO_MESSAGES: "&fNo messages to delete."
INFO_DISPLAYNAME_SET: "&fGroup displayname has been changed to: &a<displayname>&f."
INFO_DESCRIPTION_SET: "&fGroup description has been changed to: &a<description>&f."
INFO_NAME_SET: "&fGroup shortname has been changed to: &a<name>&f."
INFO_PLEASE_WAIT: "&fPlease wait..."
INFO_MESSAGES_DISABLED: "&fMessages are disabled. To enable them, type &a/groupchat toggle&f."
INFO_VALUE_TOO_LONG: "&fEntered value is too long - it can contain up to &a<max> &fcharacters."
HELP_COMMAND_CREATE: "&a/groupchat create &7[name] &f- create groupchat"
HELP_COMMAND_INVITE: "&a/groupchat invite &7[player] &f- invite player to your current groupchat"
HELP_COMMAND_KICK: "&a/groupchat kick &7[player] &f- kick player from your current groupchat"
HELP_COMMAND_DELETE: "&a/groupchat delete &f- delete your current groupchat"
HELP_COMMAND_LEAVE: "&a/groupchat leave &f- leave your current groupchat"
HELP_COMMAND_SAY: "&a/groupchat say &7[msg] &f- send message to your current groupchat"
HELP_COMMAND_JOIN: "&a/groupchat join &7[group name] &f- join to groupchat (need invitation if not public chat)"
HELP_COMMAND_INFO: "&a/groupchat info &7[group name] &f- display info about groupchat"
HELP_COMMAND_LIST: "&a/groupchat list &f- display list of all existing groupchats"
HELP_COMMAND_BAN: "&a/groupchat ban/unban &7[player] &f- ban/unban player on your current chat"
HELP_COMMAND_SET_OWNER: "&a/groupchat setowner &7[player] &f- set player as current chat owner"
HELP_COMMAND_SET_TYPE: "&a/groupchat settype &7[0-1] &f- set current group type (0 - public 1 - private)"
HELP_COMMAND_SWITCH: "&a/groupchat switch &7[group shortname] &f- switch to another groupchat (need to be member)"
HELP_COMMAND_SHOW: "&a/groupchat show &7[group shortname] &f- enable receiving messages from group"
HELP_COMMAND_HIDE: "&a/groupchat hide &7[group shortname] &f- disable receiving messages from group"
HELP_COMMAND_MY_GROUPS: "&a/groupchat mygroups &f- show your groupchats"
HELP_COMMAND_RELOAD: "&a/groupchat reload &f- reload plugin"
HELP_COMMAND_TOGGLE: "&a/groupchat toggle &f- turn on/off showing incoming groupchat messages"
HELP_COMMAND_TIPS: "&a/groupchat tips &f- turn on/off receiving plugin tips"
HELP_COMMAND_SOUND: "&a/groupchat sound &f- incoming groupcaht messages sound configuration"
HELP_COMMAND_SPY: "&a/groupchat spy &f- enable/disable receiving silent messages from groups you are not a member of."
HELP_COMMAND_HISTORY:
- "&a/groupchat history &a| &f/groupchat history &7[group name] &f- view messages history with group or with all groups"
HELP_COMMAND_HISTORY_ADMIN:
- "&a/groupchat history [player] [groupname] &f- view messages history of one player with group"
- "&7&nYou can use * symbol as player name / group name to select all known players / groups"
- "&a/groupchat history -query/-q [query] &f- view messages history matching given query"
- "&fPossible query parameters: &aBEFORE&f, &aAFTER&f, &aTO&f, &aSINCE&f, &aRANGE&f, &aALL"
- "&fAccepted datetime format: &a<datetimeformat>"
- "&fExamples (default format):"
- "&a/groupchat history -query Notch SINCE 05.11.2011"
- "&a/groupchat history -query John,FriendsParty RANGE 01.01.2015 12.31.2015"
- "&a/groupchat history -query ALL"
HELP_COMMAND_DELETEHISTORY:
- "&a/groupchat deletehistory &7[message ID] &f- delete message with given ID"
- "&a/groupchat deletehistory &7[message1ID,message2ID...] &f- delete group of messages with given IDs"
- "&a/groupchat deletehistory &7[query] &f- delete all messages matching query"
- "&fPossible query parameters: &aBEFORE&f, &aAFTER&f, &aTO&f, &aSINCE&f, &aRANGE&f, &aALL"
- "&fAccepted datetime format: &a<datetimeformat>"
- "&fExamples:"
- "&a/groupchat deletehistory Notch SINCE 05.11.2011"
- "&a/groupchat deletehistory John,FriendsParty RANGE 01.01.2015 12.31.2015"
- "&a/groupchat deletehistory ALL"
HELP_COMMAND_CONFIRM:
- "&a/groupchat confirm delete &f- confirm deletion of lastly selected messages"
HELP_COMMAND_SETDISPLAYNAME: 
- "&a/groupchat setdisplayname &7[new displayname] &f- set displayname of your current group"
HELP_COMMAND_SETNAME: 
- "&a/groupchat setname &7[new name] &f- set unique shortname of your current group"
HELP_COMMAND_SETDESCRIPTION: 
- "&a/groupchat setdescription &7[new description] &f- set description of your current group"
INV_MESSAGES_HISTORY_TITLE: "Messages history"
INV_MESSAGES_HISTORY_MESSAGE_ENTRY_NAME: "&b<sender> &7(&a<group_shortname>&7)"
INV_MESSAGES_HISTORY_MESSAGE_ENTRY_MESSAGE_LINE: "&e<text>"
INV_MESSAGES_HISTORY_MESSAGE_ENTRY_DATE: "&7<date>"
INV_MESSAGES_HISTORY_MESSAGE_ENTRY_MORE:
- ""
- "&7&oLeft-click here to see"
- "&7&opossible actions."
INV_MESSAGE_ACTIONS_TITLE: "Message actions"
INV_MESSAGE_ACTIONS_DELETE_MESSAGE_ITEM_DISPLAYNAME: "Delete"
INV_MESSAGE_ACTIONS_DELETE_MESSAGE_ITEM_LORE: 
- "Click here to"
- "delete this message."
INV_MESSAGE_ACTIONS_DELETE_MESSAGE_ITEM_LORE_CONFIRMATION: 
- ""
- "&eClick again to"
- "&econfirm deletion."
INV_SOUND_TOGGLE_ITEM_LORE:
- "&fLeft-click here to enable"
- "&for disable sound"
- "&fnotifications."
INV_SOUND_TOGGLE_ITEM_NAME: "&eEnable/disable sound"
INV_SOUND_TITLE: "Select sound"
INV_SOUND_HELP_ITEM_NAME: "&eHelp"
INV_SOUND_HELP_ITEM_LORE:
- "&fLeftClick - select"
- "&fRightClick - listen"
- "&fShift+RightClick - details"
INV_SOUND_ITEM_NAME: "&9<soundNumber>"
INV_SOUND_ITEM_LORE:
- "&fName: &a<soundName>"
- "&fVolume: &a<volume>"
- "&fPitch: &a<pitch>"
- "&fPause (ticks): &a<pause>"
INV_SOUND_ACTIVE_INDICATION: " &a&o(active)"
INV_SOUND_DETAILS_TITLE: "Sound details"
INV_SOUND_DETAILS_HELP_ITEM_NAME: "&eHelp"
INV_SOUND_DETAILS_HELP_ITEM_LORE:
- "&fRightClick - listen"
INV_BACK_ITEM_DISPLAYNAME: "Back"
INV_EXIT_ITEM_DISPLAYNAME: "Exit"
INV_NEXT_PAGE: "Next page:"
INV_PREVIOUS_PAGE: "Previous page:"
INV_PAGE_NUMBER: "<number>"
TABCOMPLETE_EMPTY_PLAYER_NAME: "<PLAYER_NAME>"
TABCOMPLETE_EMPTY_MESSAGE_TEXT: "<TEXT>"
TABCOMPLETE_EMPTY_MESSAGE_ID: "<MESSAGE_ID>"
TABCOMPLETE_EMPTY_MESSAGE_IDS_GROUP: "<MESSAGE_ID,MESSAGE2_ID...>"
TABCOMPLETE_EMPTY_DATETIME: "<DATETIME>"
TABCOMPLETE_EMPTY_START_DATETIME: "<START_DATETIME>"
TABCOMPLETE_EMPTY_END_DATETIME: "<END_DATETIME>"
TABCOMPLETE_EMPTY_PLAYER_NAMES_PAIR: "<PLAYER_NAME,GROUP_NAME>"
TABCOMPLETE_EMPTY_GROUP_NUMBER: "<GROUP_NUMBER>"
TABCOMPLETE_EMPTY_GROUP_SHORTNAME: "<GROUP_UNIQUE_SHORTNAME>"
TABCOMPLETE_EMPTY_GROUP_DISPLAYNAME: "<GROUP_DISPLAYNAME>"
TABCOMPLETE_EMPTY_GROUP_DESCRIPTION: "<GROUP_DESCRIPTION>"